Bug 1273950 - Cinder disk size is not formatted to GB in "Edit virtual machine" window
Cinder disk size is not formatted to GB in "Edit virtual machine" window
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Daniel Erez
Natalie Gavrielov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 10:45 EDT by Natalie Gavrielov
Modified: 2016-02-10 14:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:19:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
ngavrilo: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
snapshot (154.17 KB, image/png)
2015-10-21 10:46 EDT, Natalie Gavrielov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47635 master MERGED webadmin: instance images - correct size for Cinder disks Never
oVirt gerrit 47640 ovirt-engine-3.6 MERGED webadmin: instance images - correct size for Cinder disks Never

  None (edit)
Description Natalie Gavrielov 2015-10-21 10:45:42 EDT
Description of problem:

Whenever attaching or creating cinder disks to a VM, the disk size is not formatted and displayed in bytes:
for example, 5 GB will be displayed as 5368709120 GB.
Does not happen with other types of disks.

Version-Release number of selected component (if applicable):

rhevm-3.6.0.1-0.1.el6.noarch


How reproducible:
100%

Steps to Reproduce:

Attach/create cinder disk to a VM.

Actual results:

Attached disk size is displayed in bytes, with GB displayed next to it. 

Expected results:

Disk size should be formatted and displayed in GB. 

Additional info:
Snapshot
Comment 1 Natalie Gavrielov 2015-10-21 10:46 EDT
Created attachment 1085194 [details]
snapshot
Comment 2 Yaniv Lavi (Dary) 2015-10-29 08:49:56 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 3 Natalie Gavrielov 2015-12-15 11:34:35 EST
Verified using: rhevm-3.6.1.3-0.1.el6.noarch (build 3.6.1-4)
Now disk size is formatted correctly.
Comment 4 Natalie Gavrielov 2015-12-15 11:35:20 EST
Verified using: rhevm-3.6.1.3-0.1.el6.noarch (build 3.6.1-4)
Now disk size is formatted correctly.
Comment 5 Sandro Bonazzola 2015-12-16 07:19:01 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.